# esda.Spatial_Pearson

class esda.Spatial_Pearson(connectivity=None, permutations=999)

  Global Spatial Pearson Statistic

  __init__(connectivity=None, permutations=999)

    Initialize a spatial pearson estimator

    Parameters:
      connectivity: scipy.sparse matrix object

        the connectivity structure describing the relationships between observed units. Will be row-standardized.

      permutations: int

        the number of permutations to conduct for inference. if < 1, no permutational inference will be conducted.

    Attributes:
      association_: numpy.ndarray (2,2)

        array containg the estimated Lee spatial pearson correlation coefficients, where element [0,1] is the spatial correlation coefficient, and elements [0,0] and [1,1] are the “spatial smoothing factor”

      reference_distribution_: numpy.ndarray (n_permutations, 2,2)

        distribution of correlation matrices for randomly-shuffled maps.

      significance_: numpy.ndarray (2,2)

        permutation-based p-values for the fraction of times the observed correlation was more extreme than the simulated correlations.

  Methods

  `__init__`([connectivity, permutations]) | Initialize a spatial pearson estimator
  `fit`(x, y) | bivariate spatial pearson's R based on Eq.
  `get_metadata_routing`() | Get metadata routing of this object.
  `get_params`([deep]) | Get parameters for this estimator.
  `set_fit_request`(*[, x]) | Configure whether metadata should be requested to be passed to the `fit` method.
  `set_params`(**params) | Set the parameters of this estimator.

  fit(x, y)

  L = dfrac{Z^T (V^TV) Z}{1^T (V^TV) 1}

  Parameters:
    x `numpy.ndarray`

      array containing continuous data

    y `numpy.ndarray`

      array containing continuous data

  Returns:
    `the` fitted estimator.

  Notes

set_fit_request(*, x: bool | None | str = '$UNCHANGED$') → Spatial_Pearson

  Configure whether metadata should be requested to be passed to the `fit` method.

  Note that this method is only relevant when this estimator is used as a sub-estimator within a meta-estimator and metadata routing is enabled with `enable_metadata_routing=True` (see `sklearn.set_config()`). Please check the User Guide on how the routing mechanism works.

  The options for each parameter are:

  - `True`: metadata is requested, and passed to `fit` if provided. The request is ignored if metadata is not provided.

  - `False`: metadata is not requested and the meta-estimator will not pass it to `fit`.

  - `None`: metadata is not requested, and the meta-estimator will raise an error if the user provides it.

  - `str`: metadata should be passed to the meta-estimator with this given alias instead of the original name.

  The default (`sklearn.utils.metadata_routing.UNCHANGED`) retains the existing request. This allows you to change the request for some parameters and not others.

  Added in version 1.3.

  Parameters:
    x `str`, `True`, `False`, or `None`, default=sklearn.utils.metadata_routing.UNCHANGED

      Metadata routing for `x` parameter in `fit`.

  Returns:
    self `object`

      The updated object.